BitSet
Date: 2016-06-24

java.util

## Class BitSet

- java.lang.Object
- - java.util.BitSet

- All Implemented Interfaces:
    Serializable, Cloneable

      public class BitSet
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitSet()`
    `BitSet(int var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `and(BitSet var0)`
    `void` | `andNot(BitSet var0)`
    `int` | `cardinality()`
    `void` | `clear()`
    `void` | `clear(int var0)`
    `void` | `clear(int var0, int var1)`
    `Object` | `clone()`
    `void` | `flip(int var0)`
    `void` | `flip(int var0, int var1)`
    `boolean` | `get(int var0)`
    `BitSet` | `get(int var0, int var1)`
    `boolean` | `intersects(BitSet var0)`
    `boolean` | `isEmpty()`
    `int` | `length()`
    `int` | `nextClearBit(int var0)`
    `int` | `nextSetBit(int var0)`
    `void` | `or(BitSet var0)`
    `void` | `set(int var0)`
    `void` | `set(int var0, boolean var1)`
    `void` | `set(int var0, int var1)`
    `void` | `set(int var0, int var1, boolean var2)`
    `int` | `size()`
    `void` | `xor(BitSet var0)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitSet

          public BitSet()

    - #### BitSet

          public BitSet(int var0)

  - ### Method Detail

    - #### and

          public void and(BitSet var0)

    - #### andNot

          public void andNot(BitSet var0)

    - #### cardinality

          public int cardinality()

    - #### clear

          public void clear()

    - #### clear

          public void clear(int var0)

    - #### clear

          public void clear(int var0,
                   int var1)

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### flip

          public void flip(int var0)

    - #### flip

          public void flip(int var0,
                  int var1)

    - #### get

          public boolean get(int var0)

    - #### get

          public BitSet get(int var0,
                   int var1)

    - #### intersects

          public boolean intersects(BitSet var0)

    - #### isEmpty

          public boolean isEmpty()

    - #### length

          public int length()

    - #### nextClearBit

          public int nextClearBit(int var0)

    - #### nextSetBit

          public int nextSetBit(int var0)

    - #### or

          public void or(BitSet var0)

    - #### set

          public void set(int var0)

    - #### set

          public void set(int var0,
                 int var1)

    - #### set

          public void set(int var0,
                 int var1,
                 boolean var2)

    - #### set

          public void set(int var0,
                 boolean var1)

    - #### size

          public int size()

    - #### xor

          public void xor(BitSet var0)